Commit f7a28c8c authored by erwan's avatar erwan

Build: one occurence of camlp4 was remaining in the depend section of the _oasis file

parent 7d0a0cbe
...@@ -97,7 +97,7 @@ Library "lutin-utils" ...@@ -97,7 +97,7 @@ Library "lutin-utils"
Executable lurette Executable lurette
Path: lurette-nocaml/src Path: lurette-nocaml/src
MainIs: lurette.ml MainIs: lurette.ml
BuildDepends: str,unix,num,dynlink,extlib,lutils (>= 1.9),lutin-utils,ezdl,gbddml,polka,camlp4,camlidl,gmp,rdbg-plugin (>= 1.177),lustre-v6,lutin BuildDepends: str,unix,num,dynlink,extlib,lutils (>= 1.9),lutin-utils,ezdl,gbddml,polka,camlidl,gmp,rdbg-plugin (>= 1.177),lustre-v6,lutin
NativeOpt: rdbg4lurette.cmxa # for some reasons not recognized as a package NativeOpt: rdbg4lurette.cmxa # for some reasons not recognized as a package
Install:true Install:true
CompiledObject: native CompiledObject: native
......
# OASIS_START # OASIS_START
# DO NOT EDIT (digest: c6eb218d44c657361aeca44a19f21c63) # DO NOT EDIT (digest: f759eb347702183ade01862b0052cda7)
# Ignore VCS directories, you can use the same kind of rule outside # Ignore VCS directories, you can use the same kind of rule outside
# OASIS_START/STOP if you want to exclude directories that contains # OASIS_START/STOP if you want to exclude directories that contains
# useless stuff for the build process # useless stuff for the build process
...@@ -95,7 +95,6 @@ true: annot, bin_annot ...@@ -95,7 +95,6 @@ true: annot, bin_annot
<lurette-nocaml/src/*.ml{,i,y}>: oasis_executable_lurette_native <lurette-nocaml/src/*.ml{,i,y}>: oasis_executable_lurette_native
"lurette-nocaml/src/lurette.native": package(bigarray) "lurette-nocaml/src/lurette.native": package(bigarray)
"lurette-nocaml/src/lurette.native": package(camlidl) "lurette-nocaml/src/lurette.native": package(camlidl)
"lurette-nocaml/src/lurette.native": package(camlp4)
"lurette-nocaml/src/lurette.native": package(dynlink) "lurette-nocaml/src/lurette.native": package(dynlink)
"lurette-nocaml/src/lurette.native": package(extlib) "lurette-nocaml/src/lurette.native": package(extlib)
"lurette-nocaml/src/lurette.native": package(gmp) "lurette-nocaml/src/lurette.native": package(gmp)
...@@ -112,7 +111,6 @@ true: annot, bin_annot ...@@ -112,7 +111,6 @@ true: annot, bin_annot
"lurette-nocaml/src/lurette.native": use_polka "lurette-nocaml/src/lurette.native": use_polka
<lurette-nocaml/src/*.ml{,i,y}>: package(bigarray) <lurette-nocaml/src/*.ml{,i,y}>: package(bigarray)
<lurette-nocaml/src/*.ml{,i,y}>: package(camlidl) <lurette-nocaml/src/*.ml{,i,y}>: package(camlidl)
<lurette-nocaml/src/*.ml{,i,y}>: package(camlp4)
<lurette-nocaml/src/*.ml{,i,y}>: package(dynlink) <lurette-nocaml/src/*.ml{,i,y}>: package(dynlink)
<lurette-nocaml/src/*.ml{,i,y}>: package(extlib) <lurette-nocaml/src/*.ml{,i,y}>: package(extlib)
<lurette-nocaml/src/*.ml{,i,y}>: package(gmp) <lurette-nocaml/src/*.ml{,i,y}>: package(gmp)
......
...@@ -32,7 +32,6 @@ depends: [ ...@@ -32,7 +32,6 @@ depends: [
"base-unix" {build} "base-unix" {build}
"num" "num"
"camlidl" "camlidl"
"camlp4"
("extlib" {build} | "extlib-compat" {build}) ("extlib" {build} | "extlib-compat" {build})
"lustre-v6" "lustre-v6"
"lutils" {>= "1.9"} "lutils" {>= "1.9"}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment